/* FILE: callbacks.h
 * DESCRIPTION: Exemple GTK2+ pour capter les touches du clavier.
 * AUTHOR: Guillaume Riviere (C) 2017
 */

#ifndef CALLBACKS_H
#define CALLBACKS_H

#include <gtk/gtk.h>

G_MODULE_EXPORT void on_window1_destroy (GtkObject *object, gpointer user_data) ;
G_MODULE_EXPORT void on_window1_realize (GtkObject *object, gpointer user_data) ;

/* Fonction callback pour les signaux du clavier */
G_MODULE_EXPORT gboolean key_press_callback (GtkWidget *widget, GdkEventKey *event) ;

#endif /* CALLBACKS_H */
